Page MenuHomePhabricator

Display WikibaseMediaInfo captions block on the File page immediately after the file links, before the content of the wikitext block
Closed, ResolvedPublic

Description

Per Ramsey.

Details

Related Gerrit Patches:

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.

Event Timeline

Ramsey-WMF triaged this task as High priority.Oct 17 2018, 5:11 PM
Ramsey-WMF moved this task from Untriaged to Next up on the Multimedia board.
Jdforrester-WMF changed the task status from Open to Stalled.Nov 9 2018, 5:04 PM
daniel added a subscriber: daniel.Nov 20 2018, 9:41 AM

We need to distinguish between two solutions for this: client side DOM manipulation, and server side layout during page rendering. The former can be done quickly but should probably be considered a temporary solution. The latter needs quite a bit of infrastructure on the server side, if we want to provide a mechanism for this that would cover more use cases. The necessary control over the layout cannot be covered by T194046: Introduce SlotRoleHandler and SlotRoleRegistry for declaring slot roles. but would probably need something like T209924: Specify PageTypeHandler.

daniel added a comment.EditedNov 20 2018, 9:45 AM

Please clarify: per the task description, one could assume that the desired order of things on a file description page would become:

[File]
[MediaInfo]
[Wikitext]
[File history]
[Usage]
[Exif]

Buf if I understand correctly, the desired layout is actually

[File]
[MediaInfo captions]
[Wikitext]
[MediaInfo statements]
[File history]
[Usage]
[Exif]

This is a very important distinction, since the former is possible with SlotRoleHandler, but the latter is not!

Please clarify: per the task description, one could assume that the desired order of things on a file description page would become:
[File]
[MediaInfo]
[Wikitext]
[File history]
[Usage]
[Exif]
Buf if I understand correctly, the desired layout is actually
[File]
[MediaInfo captions]
[Wikitext]
[MediaInfo statements]
[File history]
[Usage]
[Exif]
This is a very important distinction, since the former is possible with SlotRoleHandler, but the latter is not!

Correct. However, statements are a less immediate need than captions.

Change 475316 had a related patch set uploaded (by Cparle; owner: Cparle):
[mediawiki/extensions/WikibaseMediaInfo@master] Work in progress

https://gerrit.wikimedia.org/r/475316

Change 475316 merged by jenkins-bot:
[mediawiki/extensions/WikibaseMediaInfo@master] Display captions block immediately after the file links, before the wikitext content

https://gerrit.wikimedia.org/r/475316

Ramsey-WMF closed this task as Resolved.Dec 12 2018, 11:43 PM
Ramsey-WMF added a subscriber: Ramsey-WMF.

Tested on Beta. The temporary fix works.